Bug 509437 - Failure in failover_soak
Failure in failover_soak
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1.1
All Linux
urgent Severity high
: 1.3
: ---
Assigned To: Alan Conway
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 15:08 EDT by Alan Conway
Modified: 2010-10-14 11:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Message queue listeners are now being updated to new members in the correct order.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 11:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2009-07-02 15:08:43 EDT
Description of problem:

If run repeatedly, failover_soak fails - usually quite quickly with 

invalid-argument: anonymous.aec71489-e9d9-4ddb-acca-5f4c78ff37d0: confirmed < (46255+0) but only sent < (46254+0)

This is a regression since r752581


How reproducible:


Steps to Reproduce:
1. run cpp/src/tests/run_failover_soak repeatedly
2.
3.
  
Actual results:
Fails within a couple of iterations

Expected results:
no failure.

Additional info:
Comment 1 Alan Conway 2009-07-20 09:07:57 EDT
Fixed in 795223

Queue listeners were not being updated to new members in the correct order.
Comment 3 Jan Sarenik 2010-03-19 12:49:34 EDT
The description is very vague. I actually do not know how and on
what version to reproduce this bug. failover_soak test settings
have changed since 795223 slightly, so did the length of this
test. Please provide me with more detailed info on what should
be tested.

I suppose there is no package on which this bug could be reproduced.
Is my assumption right?
Comment 11 Alan Conway 2010-03-22 09:52:50 EDT
If you can confirm failover_soak runs for 20 iterations without error on the current packages, then I think this is verified. I don't know if there's a package set that can reproduce the bug.

Note the revision number in comment 1 is incorrect, this was actually fixed in r794736
Comment 13 Jan Sarenik 2010-03-23 08:53:08 EDT
RHEL5, RHN-updated, both i386 and x86_64 have successfully run
faiover_soak test 20 times in a row. VERIFIED

  qpid-cpp-server-0.7.916826-2.el5
Comment 14 Jaromir Hradilek 2010-10-08 05:28:41 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Message queue listeners are now being updated to new members in the correct order.
Comment 16 errata-xmlrpc 2010-10-14 11:58:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.